package org.zkoss.bind.examples.spring.group.model;

import org.zkoss.bind.examples.spring.group.data.Food;
import org.zkoss.zul.Cell;
import org.zkoss.zul.Group;
import org.zkoss.zul.Groupfoot;
import org.zkoss.zul.Label;
import org.zkoss.zul.Row;
import org.zkoss.zul.RowRenderer;

public class FoodGroupRenderer implements RowRenderer {
	boolean enableGroupFoot = true;

	public FoodGroupRenderer() {

	}

	public FoodGroupRenderer(boolean groupfoot) {
		enableGroupFoot = groupfoot;
	}

	public void render(Row row, java.lang.Object obj) {

		if (row instanceof Group) {
			Object[] objs = (Object[]) obj;
			Food food = (Food) objs[0];
			String groupTxt;
			switch (Integer.parseInt(objs[2].toString())) {
			case 0:
				groupTxt = food.getCategory();
				break;
			case 1:
				groupTxt = food.getName();
				break;
			case 2:
				groupTxt = food.getTopNutrients();
				break;
			case 3:
				groupTxt = food.getDailyPercent().toString();
				break;
			case 4:
				groupTxt = food.getCalories().toString();
				break;
			case 5:
				groupTxt = food.getQuantity();
				break;
			default:
				groupTxt = food.getCategory();
			}
			row.appendChild(new Label(groupTxt));
		} else if (row instanceof Groupfoot) {

			Cell cell = new Cell();
			cell.setSclass("foodFooter");
			cell.setColspan(6);
			cell.appendChild(new Label("Total " + obj + " Items"));
			row.appendChild(cell);
			row.setSclass("");
		} else {
			Food data = (Food) obj;
			row.appendChild(new Label(data.getCategory()));
			row.appendChild(new Label(data.getName()));
			row.appendChild(new Label(data.getTopNutrients()));
			row.appendChild(new Label(data.getDailyPercent() + ""));
			row.appendChild(new Label(data.getCalories() + ""));
			row.appendChild(new Label(data.getQuantity()));
		}
	}
}
