package org.zkoss.bind.examples.spring.group.model;

import org.zkoss.bind.examples.spring.group.data.Food;
import org.zkoss.zul.Cell;
import org.zkoss.zul.Group;
import org.zkoss.zul.Groupfoot;
import org.zkoss.zul.Label;
import org.zkoss.zul.Row;
import org.zkoss.zul.RowRenderer;

public class FoodGroupRenderer2 implements RowRenderer {
	boolean enableGroupFoot = true;

	public FoodGroupRenderer2() {

	}

	public FoodGroupRenderer2(boolean groupfoot) {
		enableGroupFoot = groupfoot;
	}

	public void render(Row row, java.lang.Object obj) {

		System.out.println(">>"+row+","+obj);
		
		if (row instanceof Group) {
			
			Group newGroup = new Group();
			row.getParent().insertBefore(newGroup, row);
			row.setAttribute("org.zkoss.zul.model.renderAs", newGroup);
			row.detach();
			
			Object[] objs = (Object[]) obj;
			Food food = (Food) objs[0];
			String groupTxt;
			switch (Integer.parseInt(objs[2].toString())) {
			case 0:
				groupTxt = food.getCategory();
				break;
			case 1:
				groupTxt = food.getName();
				break;
			case 2:
				groupTxt = food.getTopNutrients();
				break;
			case 3:
				groupTxt = food.getDailyPercent().toString();
				break;
			case 4:
				groupTxt = food.getCalories().toString();
				break;
			case 5:
				groupTxt = food.getQuantity();
				break;
			default:
				groupTxt = food.getCategory();
			}
			newGroup.appendChild(new Label(groupTxt));
//			row.appendChild(new Label(groupTxt));
			
		} else if (row instanceof Groupfoot) {

			Groupfoot newFoot = new Groupfoot("FOOTER");
			row.getParent().insertBefore(newFoot, row);
			row.setAttribute("org.zkoss.zul.model.renderAs", newFoot);
			row.detach();
			((Groupfoot) row).setLabel("foot");

		} else {
			
			Row newFoot = new Row();
			row.getParent().insertBefore(newFoot, row);
			row.setAttribute("org.zkoss.zul.model.renderAs", newFoot);
			row.detach();

			Food data = (Food) obj;
			newFoot.appendChild(new Label(data.getCategory()));
			newFoot.appendChild(new Label(data.getName()));
			newFoot.appendChild(new Label(data.getTopNutrients()));
			newFoot.appendChild(new Label(data.getDailyPercent() + ""));
			newFoot.appendChild(new Label(data.getCalories() + ""));
			newFoot.appendChild(new Label(data.getQuantity()));
		}
	}
}
